cvp.vo

## Class ExamPropriety

- java.lang.Object
- - cvp.vo.ExamPropriety

-     public class ExamPropriety
      extends java.lang.Object

  Java class for ExamPropriety complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ExamPropriety">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="examCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="examDescription" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="lastExecutionDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="screeningTypeCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="responseCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="responseNote" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `examCode`
    `protected java.lang.String` | `examDescription`
    `protected javax.xml.datatype.XMLGregorianCalendar` | `lastExecutionDate`
    `protected java.lang.String` | `responseCode`
    `protected java.lang.String` | `responseNote`
    `protected java.lang.String` | `screeningTypeCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExamPropriety()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getExamCode()` Gets the value of the examCode property.
    `java.lang.String` | `getExamDescription()` Gets the value of the examDescription property.
    `javax.xml.datatype.XMLGregorianCalendar` | `getLastExecutionDate()` Gets the value of the lastExecutionDate property.
    `java.lang.String` | `getResponseCode()` Gets the value of the responseCode property.
    `java.lang.String` | `getResponseNote()` Gets the value of the responseNote property.
    `java.lang.String` | `getScreeningTypeCode()` Gets the value of the screeningTypeCode property.
    `void` | `setExamCode(java.lang.String value)` Sets the value of the examCode property.
    `void` | `setExamDescription(java.lang.String value)` Sets the value of the examDescription property.
    `void` | `setLastExecutionDate(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the lastExecutionDate property.
    `void` | `setResponseCode(java.lang.String value)` Sets the value of the responseCode property.
    `void` | `setResponseNote(java.lang.String value)` Sets the value of the responseNote property.
    `void` | `setScreeningTypeCode(java.lang.String value)` Sets the value of the screeningTypeCode property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### examCode

          protected java.lang.String examCode

    - #### examDescription

          protected java.lang.String examDescription

    - #### lastExecutionDate

          protected javax.xml.datatype.XMLGregorianCalendar lastExecutionDate

    - #### screeningTypeCode

          protected java.lang.String screeningTypeCode

    - #### responseCode

          protected java.lang.String responseCode

    - #### responseNote

          protected java.lang.String responseNote

  - ### Constructor Detail

    - #### ExamPropriety

          public ExamPropriety()

  - ### Method Detail

    - #### getExamCode

          public java.lang.String getExamCode()

      Gets the value of the examCode property.
      Returns:
        possible object is `String`

    - #### setExamCode

          public void setExamCode(java.lang.String value)

      Sets the value of the examCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getExamDescription

          public java.lang.String getExamDescription()

      Gets the value of the examDescription property.
      Returns:
        possible object is `String`

    - #### setExamDescription

          public void setExamDescription(java.lang.String value)

      Sets the value of the examDescription property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLastExecutionDate

          public javax.xml.datatype.XMLGregorianCalendar getLastExecutionDate()

      Gets the value of the lastExecutionDate property.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setLastExecutionDate

          public void setLastExecutionDate(javax.xml.datatype.XMLGregorianCalendar value)

      Sets the value of the lastExecutionDate property.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getScreeningTypeCode

          public java.lang.String getScreeningTypeCode()

      Gets the value of the screeningTypeCode property.
      Returns:
        possible object is `String`

    - #### setScreeningTypeCode

          public void setScreeningTypeCode(java.lang.String value)

      Sets the value of the screeningTypeCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getResponseCode

          public java.lang.String getResponseCode()

      Gets the value of the responseCode property.
      Returns:
        possible object is `String`

    - #### setResponseCode

          public void setResponseCode(java.lang.String value)

      Sets the value of the responseCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getResponseNote

          public java.lang.String getResponseNote()

      Gets the value of the responseNote property.
      Returns:
        possible object is `String`

    - #### setResponseNote

          public void setResponseNote(java.lang.String value)

      Sets the value of the responseNote property.
      Parameters:
        `value` - allowed object is `String`